<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="BranchesTreeState">
    <expand>
      <path>
        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="LOCAL_ROOT" type="e8cecc67:BranchNodeDescriptor" />
      </path>
      <path>
        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="REMOTE_ROOT" type="e8cecc67:BranchNodeDescriptor" />
      </path>
      <path>
        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="REMOTE_ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="GROUP_NODE:origin" type="e8cecc67:BranchNodeDescriptor" />
      </path>
      <path>
        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="REMOTE_ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="GROUP_NODE:origin" type="e8cecc67:BranchNodeDescriptor" />
        <item name="GROUP_NODE:doc" type="e8cecc67:BranchNodeDescriptor" />
      </path>
    </expand>
    <select />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="181b6a5d-fc22-48e5-8061-7d9a59781c60" name="Changes" comment="">
      <change afterPath="$PROJECT_DIR$/client/client.iml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/gradle.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/gradle.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/misc.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/misc.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/client/package-lock.json" beforeDir="false" afterPath="$PROJECT_DIR$/client/package-lock.json" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/client/yarn.lock" beforeDir="false" afterPath="$PROJECT_DIR$/client/yarn.lock" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$/build-a-pc-api">
      <ProjectState />
    </projectState>
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <projects_view>
          <tree_state>
            <expand>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="build-a-pc-api" type="f1a62948:ProjectNode" />
              </path>
            </expand>
            <select />
          </tree_state>
        </projects_view>
      </state>
    </system>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_BRANCH_BY_REPOSITORY">
      <map>
        <entry key="$PROJECT_DIR$" value="master" />
      </map>
    </option>
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="GitToolBoxStore">
    <option name="recentBranches">
      <RecentBranches>
        <option name="branchesForRepo">
          <list>
            <RecentBranchesForRepo>
              <option name="branches">
                <list>
                  <RecentBranch>
                    <option name="branchName" value="master" />
                    <option name="lastUsedInstant" value="1643830600" />
                  </RecentBranch>
                  <RecentBranch>
                    <option name="branchName" value="docs/use_case" />
                    <option name="lastUsedInstant" value="1643830599" />
                  </RecentBranch>
                </list>
              </option>
              <option name="repositoryRootUrl" value="file://$PROJECT_DIR$" />
            </RecentBranchesForRepo>
          </list>
        </option>
      </RecentBranches>
    </option>
  </component>
  <component name="ProjectId" id="23TtMTdDBt6fjmKkKPU8sXJvFqf" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="DatabaseDriversLRU" value="postgresql" />
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="jdk.selected.JAVA_MODULE" value="11" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/docker-compose.yml" />
    <property name="nodejs_package_manager_path" value="npm" />
    <property name="settings.editor.selected.configurable" value="reference.settingsdialog.project.gradle" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$" />
    </key>
  </component>
  <component name="RunManager" selected="Compound.StartDevEnv">
    <configuration name="StartDevEnv" type="CompoundRunConfigurationType">
      <toRun name="client" type="js.build_tools.npm" />
      <toRun name="BuildAPcApiApplication" type="SpringBootApplicationConfigurationType" />
      <toRun name="DockerEnv" type="docker-deploy" />
      <method v="2" />
    </configuration>
    <configuration default="true" type="CompoundRunConfigurationType">
      <toRun name="BuildAPcApiApplication" type="SpringBootApplicationConfigurationType" />
      <method v="2" />
    </configuration>
    <configuration name="BuildAPcApiApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="build-a-pc-api.main" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="mk.edu.seeu.buildapcapi.BuildAPcApiApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="DockerEnv" type="docker-deploy" factoryName="docker-compose.yml" server-name="Docker">
      <deployment type="docker-compose.yml">
        <settings>
          <option name="sourceFilePath" value="docker-compose.yml" />
        </settings>
      </deployment>
      <method v="2" />
    </configuration>
    <configuration name="client" type="js.build_tools.npm">
      <package-json value="$PROJECT_DIR$/client/package.json" />
      <command value="run" />
      <scripts>
        <script value="start" />
      </scripts>
      <node-interpreter value="project" />
      <envs />
      <method v="2" />
    </configuration>
    <list>
      <item itemvalue="Compound.StartDevEnv" />
      <item itemvalue="Docker.DockerEnv" />
      <item itemvalue="npm.client" />
      <item itemvalue="Spring Boot.BuildAPcApiApplication" />
    </list>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="181b6a5d-fc22-48e5-8061-7d9a59781c60" name="Changes" comment="" />
      <created>1641769857178</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1641769857178</updated>
      <workItem from="1641769859005" duration="1341000" />
      <workItem from="1643829944603" duration="5141000" />
      <workItem from="1644345679593" duration="551000" />
      <workItem from="1644346238821" duration="53000" />
      <workItem from="1644346374403" duration="449000" />
      <workItem from="1644346901950" duration="482000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
    <option name="oldMeFiltersMigrated" value="true" />
  </component>
  <component name="WindowStateProjectService">
    <state x="536" y="694" width="1004" height="817" key="#Docker" timestamp="1644346284467">
      <screen x="0" y="0" width="3840" height="2106" />
    </state>
    <state x="536" y="694" width="1004" height="817" key="#Docker/0.0.3840.2106@0.0.3840.2106" timestamp="1644346284467" />
    <state x="419" y="715" width="1239" height="1039" key="#com.intellij.execution.impl.EditConfigurationsDialog" timestamp="1644347383058">
      <screen x="0" y="0" width="3840" height="2106" />
    </state>
    <state x="419" y="715" width="1239" height="1039" key="#com.intellij.execution.impl.EditConfigurationsDialog/0.0.3840.2106@0.0.3840.2106" timestamp="1644347383058" />
    <state x="877" y="1076" key="DockerComposeFileDialog" timestamp="1644346919055">
      <screen x="0" y="0" width="3840" height="2106" />
    </state>
    <state x="877" y="1076" key="DockerComposeFileDialog/0.0.3840.2106@0.0.3840.2106" timestamp="1644346919055" />
    <state x="1653" y="698" key="FileChooserDialogImpl" timestamp="1644346917792">
      <screen x="0" y="0" width="3840" height="2106" />
    </state>
    <state x="1653" y="698" key="FileChooserDialogImpl/0.0.3840.2106@0.0.3840.2106" timestamp="1644346917792" />
    <state width="1850" height="614" key="GridCell.Tab.0.bottom" timestamp="1644347064188">
      <screen x="0" y="0" width="3840" height="2106" />
    </state>
    <state width="1850" height="614" key="GridCell.Tab.0.bottom/0.0.3840.2106@0.0.3840.2106" timestamp="1644347064188" />
    <state width="1850" height="614" key="GridCell.Tab.0.center" timestamp="1644347064188">
      <screen x="0" y="0" width="3840" height="2106" />
    </state>
    <state width="1850" height="614" key="GridCell.Tab.0.center/0.0.3840.2106@0.0.3840.2106" timestamp="1644347064188" />
    <state width="1850" height="614" key="GridCell.Tab.0.left" timestamp="1644347064188">
      <screen x="0" y="0" width="3840" height="2106" />
    </state>
    <state width="1850" height="614" key="GridCell.Tab.0.left/0.0.3840.2106@0.0.3840.2106" timestamp="1644347064188" />
    <state width="1850" height="614" key="GridCell.Tab.0.right" timestamp="1644347064188">
      <screen x="0" y="0" width="3840" height="2106" />
    </state>
    <state width="1850" height="614" key="GridCell.Tab.0.right/0.0.3840.2106@0.0.3840.2106" timestamp="1644347064188" />
    <state width="1850" height="614" key="GridCell.Tab.1.bottom" timestamp="1644347064189">
      <screen x="0" y="0" width="3840" height="2106" />
    </state>
    <state width="1850" height="614" key="GridCell.Tab.1.bottom/0.0.3840.2106@0.0.3840.2106" timestamp="1644347064189" />
    <state width="1850" height="614" key="GridCell.Tab.1.center" timestamp="1644347064188">
      <screen x="0" y="0" width="3840" height="2106" />
    </state>
    <state width="1850" height="614" key="GridCell.Tab.1.center/0.0.3840.2106@0.0.3840.2106" timestamp="1644347064188" />
    <state width="1850" height="614" key="GridCell.Tab.1.left" timestamp="1644347064188">
      <screen x="0" y="0" width="3840" height="2106" />
    </state>
    <state width="1850" height="614" key="GridCell.Tab.1.left/0.0.3840.2106@0.0.3840.2106" timestamp="1644347064188" />
    <state width="1850" height="614" key="GridCell.Tab.1.right" timestamp="1644347064188">
      <screen x="0" y="0" width="3840" height="2106" />
    </state>
    <state width="1850" height="614" key="GridCell.Tab.1.right/0.0.3840.2106@0.0.3840.2106" timestamp="1644347064188" />
    <state x="1439" y="753" width="961" height="597" key="NewModule_or_Project.wizard" timestamp="1644346054172">
      <screen x="0" y="0" width="3840" height="2106" />
    </state>
    <state x="1439" y="753" width="961" height="597" key="NewModule_or_Project.wizard/0.0.3840.2106@0.0.3840.2106" timestamp="1644346054172" />
    <state x="1287" y="611" key="SettingsEditor" timestamp="1644345867432">
      <screen x="0" y="0" width="3840" height="2106" />
    </state>
    <state x="1287" y="611" key="SettingsEditor/0.0.3840.2106@0.0.3840.2106" timestamp="1644345867432" />
  </component>
</project>